# Uses of Interface
java.lang.classfile.Interfaces

Packages that use Interfaces
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of Interfaces in java.lang.classfile

Methods in java.lang.classfile that return Interfaces
Modifier and Type
Method
Description
`static Interfaces`
Interfaces.`of(ClassEntry... interfaces)`
Returns an Interfaces element.
`static Interfaces`
Interfaces.`of(List<ClassEntry> interfaces)`
Returns an Interfaces element.
`static Interfaces`
Interfaces.`ofSymbols(ClassDesc... interfaces)`
Returns an Interfaces element.
`static Interfaces`
Interfaces.`ofSymbols(List<ClassDesc> interfaces)`
Returns an Interfaces element.